classification
Title: convert test_wsgiref to idiomatic unittest code
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder: Use specific asserts in urllib related tests
View: 20555
Assigned To: orsenthil Nosy List: BreamoreBoy, berker.peksag, ezio.melotti, orsenthil, serhiy.storchaka, terry.reedy, tshepang
Priority: normal Keywords:

Created on 2013-04-08 17:46 by tshepang, last changed 2014-08-05 05:01 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
diff tshepang, 2013-04-11 19:11 review
Messages (3)
msg186701 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-13 08:55
I don't think the second change is correct.

See also issue16510.
msg186741 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-04-13 16:09
In this case I don't think it matters much.  The value is either True or False, so both assertTrue(...) and assertIs(..., True) work, even though the latter is technically more accurate.
msg223524 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-20 17:27
Changes were made to this module on #20555.
History
Date User Action Args
2014-08-05 05:01:38ezio.melottisetstatus: open -> closed
superseder: Use specific asserts in urllib related tests
resolution: out of date
stage: patch review -> resolved
2014-07-22 11:21:52berker.peksagsetnosy: + berker.peksag

versions: + Python 3.5, - Python 3.3
2014-07-20 17:27:49BreamoreBoysetnosy: + BreamoreBoy
messages: + msg223524
2013-04-13 16:09:30ezio.melottisetnosy: + ezio.melotti
messages: + msg186741
2013-04-13 08:55:51serhiy.storchakasettype: performance -> enhancement

messages: + msg186701
nosy: + serhiy.storchaka
2013-04-12 20:51:32orsenthilsetassignee: orsenthil

nosy: + orsenthil
2013-04-12 19:10:05terry.reedysetnosy: + terry.reedy
title: convert to idiomatic unittest code -> convert test_wsgiref to idiomatic unittest code
versions: - Python 3.2
type: performance
stage: patch review
2013-04-11 19:11:30tshepangsetfiles: + diff
2013-04-11 19:11:15tshepangsetfiles: - diff
2013-04-08 17:46:27tshepangcreate